Subject: [bug#47643] [PATCH 20/22] gnu: gst-plugins-bad: Add missing inputs to enable more features.

From: Leo Famulari <[email-masked]>
Date: Thu, 8 Apr 2021 19:20:52 -0400

On Wed, Apr 07, 2021 at 04:42:35PM -0400, Raghav Gururajan via Guix-patches via wrote:
> * gnu/packages/gstreamer.scm (gst-plugins-bad)[inputs]: Add bzip2,
> cairo, chromaprint, directfb, faac, flite, glib, glib-networking,
> glu, gsm, iqa, lcms, libaom, libbs2b, libdc1394, libdca, libde265,
> libdrm, libexif, libfdk, libgme, libmfx, libmms, libmpcdec, libnice,
> libofa, libopenmpt, libtiff, libva, libx11, libxcb, libxext, libxshm,
> lilv, lv2, mjpegtools, nettle, openh264, opensles, pango, rtmpdump, sbc,
> sctp, spandsp, srt, svt-hevc, transcode, v4l-utils, vo-aacenc, vo-amrwbenc,
> vulkan-headers, vulkan-loader, webrtc-audio-processing, wildmidi,
> wpebackend-fdo, zbar and zxing-cpp.

Is there pending work that requires these new dependencies?

Otherwise, I would leave them out until they are needed.

Remember, these plugins are considered "bad" from gstreamer's
perspective:

https://gstreamer.freedesktop.org/modules/gst-plugins-bad.html